# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.423   -> 1.424  
#	drivers/usb/hid-core.c	1.14    -> 1.15   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/02/27	david-b@packbell.net	1.424
# [PATCH] hid-core and hotplug
#   
# This restores a line someone deleted, which
# affects hotplugging.  Basically this restores
# correct/previous behavior:  the HID driver only
# matches HID devices, not every device that
# ever connects.
# --------------------------------------------
#
diff -Nru a/drivers/usb/hid-core.c b/drivers/usb/hid-core.c
--- a/drivers/usb/hid-core.c	Wed Feb 27 15:44:20 2002
+++ b/drivers/usb/hid-core.c	Wed Feb 27 15:44:20 2002
@@ -1452,7 +1452,8 @@
 }
 
 static struct usb_device_id hid_usb_ids [] = {
-	{ bInterfaceClass: USB_INTERFACE_CLASS_HID },
+	{ match_flags: USB_DEVICE_ID_MATCH_INT_CLASS,
+	    bInterfaceClass: USB_INTERFACE_CLASS_HID },
 	{ }						/* Terminating entry */
 };
 
